Bug 1761798 - [downstream clone - 4.3.7] Remove usage of rpmUtils.miscutils
Summary: [downstream clone - 4.3.7] Remove usage of rpmUtils.miscutils
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-host-deploy
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.3.7
: 4.3.7
Assignee: Sandro Bonazzola
QA Contact: Petr Matyáš
URL:
Whiteboard:
Depends On: 1724056
Blocks: 1762742 1762752
TreeView+ depends on / blocked
 
Reported: 2019-10-15 11:54 UTC by RHV bug bot
Modified: 2019-12-12 10:37 UTC (History)
15 users (show)

Fixed In Version: ovirt-host-deploy-1.8.3-1.el7ev
Doc Type: No Doc Update
Doc Text:
Clone Of: 1724056
Environment:
Last Closed: 2019-12-12 10:37:23 UTC
oVirt Team: Integration
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:4233 0 None None None 2019-12-12 10:37:46 UTC
oVirt gerrit 101293 0 'None' MERGED Remove usage of rpmUtils.miscutils 2020-02-05 20:17:50 UTC
oVirt gerrit 104089 0 'None' MERGED Remove usage of rpmUtils.miscutils 2020-02-05 20:17:50 UTC

Description RHV bug bot 2019-10-15 11:54:43 UTC
+++ This bug is an upstream to downstream clone. The original bug is: +++
+++   bug 1724056 +++
======================================================================

dnf doesn't provide rpmUtils.miscutils. Usage of this package causes the following error when trying to deploy a RHEL 8 host:

  2019-06-25 12:59:48,701+0200 DEBUG otopi.plugins.otopi.network.firewalld firewalld._get_firewalld_cmd_version:116 firewalld version: 0.6.3
  2019-06-25 12:59:48,701+0200 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       **%EventEnd STAGE customization METHOD otopi.plugins.otopi.network.firewalld.Plugin._customization (None)
  2019-06-25 12:59:48,701+0200 DEBUG otopi.context context.dumpEnvironment:731 ENVIRONMENT DUMP - BEGIN
  2019-06-25 12:59:48,702+0200 DEBUG otopi.context context.dumpEnvironment:741 ENV NETWORK/firewalldAvailable=bool:'True'
  2019-06-25 12:59:48,702+0200 DEBUG otopi.context context.dumpEnvironment:745 ENVIRONMENT DUMP - END
  2019-06-25 12:59:48,702+0200 DEBUG otopi.context context._executeMethod:127 Stage customization METHOD otopi.plugins.otopi.core.config.Plugin._customize1
  2019-06-25 12:59:48,702+0200 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       **%EventStart STAGE customization METHOD otopi.plugins.otopi.core.config.Plugin._customize1 (None)
  2019-06-25 12:59:48,703+0200 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       **%EventEnd STAGE customization METHOD otopi.plugins.otopi.core.config.Plugin._customize1 (None)
  2019-06-25 12:59:48,703+0200 DEBUG otopi.context context._executeMethod:127 Stage customization METHOD otopi.plugins.ovirt_host_deploy.kdump.packages.Plugin._customization
  2019-06-25 12:59:48,703+0200 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       **%EventStart STAGE customization METHOD otopi.plugins.ovirt_host_deploy.kdump.packages.Plugin._customization (None)
  2019-06-25 12:59:48,704+0200 DEBUG otopi.context context._executeMethod:145 method exception
  Traceback (most recent call last):
    File "/tmp/ovirt-AX5hJa1Fcr/pythonlib/otopi/context.py", line 132, in _executeMethod
      method['method']()
    File "/tmp/ovirt-AX5hJa1Fcr/otopi-plugins/ovirt-host-deploy/kdump/packages.py", line 216, in _customization
      self._kexec_tools_version_supported()
    File "/tmp/ovirt-AX5hJa1Fcr/otopi-plugins/ovirt-host-deploy/kdump/packages.py", line 143, in _kexec_tools_version_supported
      from rpmUtils.miscutils import compareEVR
  ModuleNotFoundError: No module named 'rpmUtils'
  2019-06-25 12:59:48,705+0200 ERROR otopi.context context._executeMethod:154 Failed to execute stage 'Environment customization': No module named 'rpmUtils'

(Originally by Milan Zamazal)

Comment 8 Petr Matyáš 2019-10-31 13:43:13 UTC
As this is code change moving to verified as our tier 1 automation passed.

Comment 15 errata-xmlrpc 2019-12-12 10:37:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:4233


Note You need to log in before you can comment on or make changes to this bug.